cudnn_frontend::EngineFallbackListBuilder_v8 Class Reference

`#include <cudnn_frontend_EngineFallbackList.h>`

Collaboration diagram for cudnn_frontend::EngineFallbackListBuilder_v8:

## Public Member Functions

auto | setOperationGraph (OperationGraph_v8 &opGraph_) -> EngineFallbackListBuilder_v8 &
| Set operationGraph for the engine (opGraph is not destroyed) More...
auto | setOperation (cudnnBackendDescriptorType_t mode) -> EngineFallbackListBuilder_v8 &
EngineFallbackList_v8 && | build ()
| EngineFallbackListBuilder_v8 ()=default
| ~EngineFallbackListBuilder_v8 ()=default
| EngineFallbackListBuilder_v8 (EngineFallbackListBuilder_v8 &&)=delete
| EngineFallbackListBuilder_v8 (EngineFallbackListBuilder_v8 const &)=delete
EngineFallbackListBuilder_v8 & | operator= (EngineFallbackListBuilder_v8 const &)=delete

## Private Attributes

EngineFallbackList_v8 | m_fallback_list

## Detailed Description

EngineFallBackListBuilder Class Helper class used to build EngineFallBackList class

Definition at line 120 of file cudnn_frontend_EngineFallbackList.h.

## Constructor & Destructor Documentation

## EngineFallbackListBuilder_v8() [1/3]

cudnn_frontend::EngineFallbackListBuilder_v8::EngineFallbackListBuilder_v8 | ( |  | ) |

explicit default

## ~EngineFallbackListBuilder_v8()

cudnn_frontend::EngineFallbackListBuilder_v8::~EngineFallbackListBuilder_v8 | ( |  | ) |

default

## EngineFallbackListBuilder_v8() [2/3]

cudnn_frontend::EngineFallbackListBuilder_v8::EngineFallbackListBuilder_v8 | ( | EngineFallbackListBuilder_v8 && |  | ) |

delete

## EngineFallbackListBuilder_v8() [3/3]

cudnn_frontend::EngineFallbackListBuilder_v8::EngineFallbackListBuilder_v8 | ( | EngineFallbackListBuilder_v8 const & |  | ) |

delete

## Member Function Documentation

## build()

EngineFallbackList_v8&& cudnn_frontend::EngineFallbackListBuilder_v8::build | ( |  | ) |

inline

constructs the EngineFallbackList_v8 by calling the cudnn API Throws the appropriate error message

Definition at line 144 of file cudnn_frontend_EngineFallbackList.h.

References cudnn_frontend::EngineFallbackList_v8::EngineFallbackListBuilder_v8, cudnn_frontend::get_fallback_engine_list(), cudnn_frontend::getLogger(), cudnn_frontend::EngineFallbackList_v8::operator=(), cudnn_frontend::set_error_and_throw_exception(), cudnn_frontend::EngineConfigBuilder_v8::setEngine(), and cudnn_frontend::EngineBuilder_v8::setGlobalEngineIdx().

## operator=()

EngineFallbackListBuilder_v8& cudnn_frontend::EngineFallbackListBuilder_v8::operator= | ( | EngineFallbackListBuilder_v8 const & |  | ) |

delete

## Member Data Documentation

## m_fallback_list

EngineFallbackList_v8 cudnn_frontend::EngineFallbackListBuilder_v8::m_fallback_list

private

Definition at line 181 of file cudnn_frontend_EngineFallbackList.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_EngineFallbackList.h